> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete file content from storage.

This only deletes the file content. The pragma/file resource must be
deleted separately using the resources API.

Idempotent: Returns 204 even if file doesn't exist.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json delete /files/{name}
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /files/{name}:
    delete:
      tags:
        - files
      summary: Delete File
      description: |-
        Delete file content from storage.

        This only deletes the file content. The pragma/file resource must be
        deleted separately using the resources API.

        Idempotent: Returns 204 even if file doesn't exist.
      operationId: files-delete_file
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````